
Figure - 问题 Q&A #115258
【BSP】【EVT2】【视频】【10/10】.rmvb格式的视频不能播放
2023-01-11 17:16 - CDTS_TEST 刘勇

Status: 完成 Closed Start date: 2023-01-11

Priority: Normal Due date:

Assignee: CDTS_TEST 刘勇 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Description

【前提条件】

1.测试机中有.rmvb的视频

【测试步骤】

1.进入视频 播放.rmvb格式视频文件，

2.查看现象

【预期结果】

2. .rmvb格式的视频能播放

【实际结果】

2. .rmvb格式的视频不能播放

【复现概率次数】5/5，

【对比机】联想平板（小新pro）无法播放、联想平板（国外产品）无法播放

History

#1 - 2023-01-12 11:42 - CD MM陈海波

- Status changed from New to 解决 Resolved

- Assignee changed from CD MM陈海波 to CDTS_TEST 刘勇

如果没有任何定制和特殊情况, 高通平台一般都不支持rmvb格式的. 

通过提供的视频文件查看(如下), 文件contain确实是RealMedia格式的, 不支持.

---------

General

Complete name                            : 235.rmvb

Format                                   : RealMedia

File size                                : 21.5 MiB

Duration                                 : 2 min 16 s

Overall bit rate                         : 1 292 kb/s

Video

ID                                       : 0

Format                                   : RealVideo 4

Codec ID                                 : RV40

Codec ID/Info                            : Based on AVC (H.264), Real Player 9

Duration                                 : 2 min 16 s

Bit rate                                 : 1 196 kb/s
Width                                    : 472 pixels

Height                                   : 352 pixels

Display aspect ratio                     : 4:3

Frame rate                               : 22.000 FPS

Bits/(Pixel*Frame)                       : 0.327

Stream size                              : 19.5 MiB (91%)

Audio

ID                                       : 1

Format                                   : Cooker

Codec ID                                 : cook

Codec ID/Info                            : Based on G.722.1, Real Player 6

Duration                                 : 2 min 17 s

Bit rate                                 : 96.5 kb/s

Channel(s)                               : 2 channels

Sampling rate                            : 44.1 kHz

Bit depth                                : 16 bits

Stream size                              : 1.58 MiB (7%)

多谢!

#2 - 2023-01-31 19:01 - CDTS_TEST 刘勇

- Status changed from 解决 Resolved to 完成 Closed
